using C1.Win.FlexReport;
using C1.Win.FlexViewer;
using System.Data;

namespace FlexSubReport
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void buttonLoadReport_Click(object sender, EventArgs e)
    {

      C1FlexReport report = new C1FlexReport();
      report.ReportError += this.report_ReportError;
      this.c1FlexViewer1.OperationError += flexViewer_OperationError;

      report.Load("..\\..\\..\\VAKalkulationEinzelaufstellung.flxr", "VAKalkulationEinzelaufstellung");

      this.c1FlexViewer1.DocumentSource = report;
    }

    
    private void report_ReportError(object sender, ReportErrorEventArgs e)
    {
      e.Handled = true;

      //Might actually fail (cross thread operation)..
      MessageBox.Show(this, "Report Error!");
      
    }

    private void flexViewer_OperationError(object sender, OperationErrorEventArgs e)
    {
      e.Handled = true;
      e.ThrowException = false;

      //Might actually fail (cross thread operation)..
      MessageBox.Show(this, "FlexViewer error!");

    }

  }
  }
